Bug 177954 - devel/bglibs: patch: perl is only needed runtime
Summary: devel/bglibs: patch: perl is only needed runtime
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-18 14:40 UTC by Uffe Jakobsen
Modified: 2013-08-22 00:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.11 KB, patch)
2013-04-18 14:40 UTC, Uffe Jakobsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2013-04-18 14:40:01 UTC
Port devel/bgware currently has USE_PERL5=yes

Perl is only needed runtime and hence it sould be changed to USE_PERL5_RUN=yes

Patch is attached.

/Uffe

Fix: Patch attached with submission follows:
Comment 1 Uffe Jakobsen 2013-04-19 10:00:38 UTC
The right port name is "devel/bglibs" - and the class should have been 
"change-request" not "sw-bug" - sorry

/Uffe
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-04-20 18:07:47 UTC
Class Changed
From-To: sw-bug->change-request

per submitter.
Comment 3 Raphael Kubo da Costa freebsd_committer 2013-05-05 15:43:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Assign to port maintainer
Comment 4 dfilter service freebsd_committer 2013-08-22 00:07:41 UTC
Author: wg
Date: Wed Aug 21 23:07:33 2013
New Revision: 325170
URL: http://svnweb.freebsd.org/changeset/ports/325170

Log:
  devel/bglibs: perl is a run dependency only
  
  - Set perl only as a run dependency [1]
  - Trim Makefile header
  - USES new perl5 framework
  - NOPORTDOCS -> PORT_OPTIONS:MDOCS
  
  PR:		ports/177954
  Submitted by:	Uffe Jakobsen <uffe uffe.org>
  Approved by:	maintainer (timeout)

Modified:
  head/devel/bglibs/Makefile
  head/devel/bglibs/files/patch-Makefile

Modified: head/devel/bglibs/Makefile
==============================================================================
--- head/devel/bglibs/Makefile	Wed Aug 21 22:58:24 2013	(r325169)
+++ head/devel/bglibs/Makefile	Wed Aug 21 23:07:33 2013	(r325170)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	bglibs
-# Date created:		03 Mar 2003
-# Whom:			Sergei Kolobov <sergei@kolobov.com>
-#
+# Created by: Sergei Kolobov <sergei@kolobov.com>
 # $FreeBSD$
-#
 
 PORTNAME=	bglibs
 PORTVERSION=	1.106
-PORTREVISION=	1
+PORTREVISION=	3
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://untroubled.org/${PORTNAME}/archive/ \
@@ -20,7 +16,8 @@ LICENSE=	LGPL21
 
 NOT_FOR_ARCHS=	alpha
 
-USE_PERL5=	yes
+USES=		perl5
+USE_PERL5=	run
 USE_AUTOTOOLS=	libtool:env
 BGLIBS_INC=	${PREFIX}/include/${PORTNAME}
 BGLIBS_LIB=	${PREFIX}/lib/${PORTNAME}
@@ -29,6 +26,10 @@ USE_LDCONFIG=	${BGLIBS_LIB}
 DOCS=		NEWS README TODO doc/html/*
 MAN1=		cli-generate.1
 
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 post-patch:
 	${REINPLACE_CMD} '/main/s/^void/int/' ${WRKSRC}/sys/try*.c
 
@@ -41,7 +42,7 @@ do-configure:
 	${ECHO_CMD} "${BGLIBS_INC}"	> ${WRKSRC}/conf-include
 	${ECHO_CMD} "${BGLIBS_LIB}"	> ${WRKSRC}/conf-lib
 
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 post-install:
 	@${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${DOCSDIR}

Modified: head/devel/bglibs/files/patch-Makefile
==============================================================================
--- head/devel/bglibs/files/patch-Makefile	Wed Aug 21 22:58:24 2013	(r325169)
+++ head/devel/bglibs/files/patch-Makefile	Wed Aug 21 23:07:33 2013	(r325170)
@@ -9,3 +9,12 @@
  
  base64/asc2bin.lo: libcompile base64/asc2bin.c base64/base64.h str/str.h
  	./libcompile base64/asc2bin.c
+@@ -877,7 +877,7 @@
+ 
+  perl-head.pl: 
+	( set -e; PATH="/bin:/usr/bin:/usr/local/bin:$$PATH"; export PATH; \
+-	  perl=`which perl`; \
++	  perl=`which perl` || perl="/usr/local/bin/perl"; \
+	  echo "#! $$perl"; \
+	  echo "# WARNING: This file was auto-generated. Do not edit!"; \
+	  echo ) >perl-head.pl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-08-22 00:07:48 UTC
Responsible Changed
From-To: sylvio->wg

I'll take it.
Comment 6 William Grzybowski freebsd_committer 2013-08-22 00:07:57 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!